import React from 'react';
import { View, StyleSheet, TouchableOpacity } from 'react-native';
import { Ionicons } from '@expo/vector-icons';
import DefaultText from './DefaultText';

const LinkButton = (props) => {
	return (
		<TouchableOpacity
			style={{ ...styles.linkContainer, ...props.style }}
			onPress={props.onPress}
		>
			<View>
				<DefaultText numberOfLines={1}>{props.title}</DefaultText>
			</View>
			<View>
				<Ionicons
					name="ios-chevron-forward-sharp"
					size={20}
					color="gray"
					style={styles.icon}
				/>
			</View>
		</TouchableOpacity>
	);
};

const styles = StyleSheet.create({
	linkContainer: {
		flexDirection: 'row',
		justifyContent: 'space-between',
		shadowColor: 'black',
		shadowOpacity: 0.5,
		shadowOffset: { width: 0, height: 2 },
		shadowRadius: 10,
		elevation: 3,
		backgroundColor: 'lightgray',
		padding: 10,
		marginVertical: 10,
	},
});

export default LinkButton;
