import React from 'react';
import { View, StyleSheet, Text, Linking } from 'react-native';
import { HeaderButtons, Item } from 'react-navigation-header-buttons';
import DefaultText from '../components/DefaultText';

import HeaderButton from '../components/HeaderButton';

const AboutScreen = (props) => {
	return (
		<View style={styles.screen}>
			<DefaultText>CZU Student Guide</DefaultText>
			<DefaultText>Version: 1.0.0</DefaultText>
		</View>
	);
};

AboutScreen.navigationOptions = (navData) => {
	return {
		headerTitle: 'About App',
		headerLeft: () => (
			<HeaderButtons HeaderButtonComponent={HeaderButton}>
				<Item
					title="Menu"
					iconName="ios-menu"
					onPress={() => {
						navData.navigation.toggleDrawer();
					}}
				/>
			</HeaderButtons>
		),
	};
};

const styles = StyleSheet.create({
	screen: {
		flex: 1,
		justifyContent: 'center',
		alignItems: 'center',
	},
});

export default AboutScreen;
