import React from 'react';
import { View, StyleSheet, ScrollView, Image } from 'react-native';
import { HeaderButtons, Item } from 'react-navigation-header-buttons';
import HeaderButton from '../components/HeaderButton';
import StrongText from '../components/StrongText';
import ListItem from '../components/ListItem';
import AccentParagraph from '../components/AccentParagraph';
import TextLink from '../components/TextLink';

const ContactsScreen = (props) => {
	return (
		<ScrollView>
			<View>
				<Image
					style={styles.image}
					resizeMode="cover"
					source={require('../assets/images/content/contacts.jpg')}
				/>
			</View>
			<View style={styles.textContainer}>
				<AccentParagraph>
					<View>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-call"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="tel:+420 224 381 111"
							>
								+420 224 381 111
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-location"
						>
							Czech University of Life Sciences Prague{'\n'}
							Kamýcká 129{'\n'}
							165 00 Praha-Suchdol{'\n'}
							Czech Republic
						</ListItem>
						<StrongText style={styles.whiteText}>
							Social Media:
						</StrongText>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-logo-facebook"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://facebook.com/CZUvPraze"
							>
								facebook.com/CZUvPraze
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-logo-instagram"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://instagram.com/czuvpraze"
							>
								instagram.com/czuvpraze
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-logo-twitter"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://twitter.com/CZUvPraze"
							>
								twitter.com/CZUvPraze
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-logo-youtube"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://youtube.com/CZUvPraze"
							>
								youtube.com/CZUvPraze
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-logo-linkedin"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://linkedin.com/school/česká-zemědělská-univerzita-v-praze"
							>
								linkedin.com/school/česká-zemědělská-univerzita-v-praze
							</TextLink>
						</ListItem>
					</View>
				</AccentParagraph>
			</View>
		</ScrollView>
	);
};

ContactsScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Contacts',
		headerLeft: () => (
			<HeaderButtons HeaderButtonComponent={HeaderButton}>
				<Item
					title="Menu"
					iconName="ios-menu"
					onPress={() => {
						navigationData.navigation.toggleDrawer();
					}}
				/>
			</HeaderButtons>
		),
	};
};

const styles = StyleSheet.create({
	image: {
		width: '100%',
		height: 100,
	},
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
	whiteText: {
		color: 'white',
		marginBottom: 10,
	},
	accentLink: {
		color: 'white',
		fontFamily: 'open-sans',
	},
});

export default ContactsScreen;
