import React from 'react';
import { View, StyleSheet, ScrollView, FlatList } from 'react-native';
import { FACULTIES } from '../../data/main-info';
import FacultyLinkButton from '../../components/FacultyLinkButton';

const FacultiesScreen = (props) => {
	const renderFacultyItem = (itemData) => {
		return (
			<FacultyLinkButton
				title={itemData.item.title}
				image={itemData.item.image}
				color={itemData.item.color}
				onSelect={() => {
					props.navigation.navigate({
						routeName: itemData.item.route,
						params: {
							facultyId: itemData.item.id,
						},
					});
				}}
			/>
		);
	};

	return (
		<View style={styles.textContainer}>
			<FlatList data={FACULTIES} renderItem={renderFacultyItem} />
		</View>
	);
};

FacultiesScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Faculties & the Institute',
	};
};

const styles = StyleSheet.create({
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 10,
	},
});

export default FacultiesScreen;
