import React from 'react';
import { View, StyleSheet, ScrollView, Image } from 'react-native';
import Paragraph from '../../components/Paragraph';
import StrongText from '../../components/StrongText';
import Title from '../../components/Title';
import ListItem from '../../components/ListItem';
import AccentParagraph from '../../components/AccentParagraph';
import TextLink from '../../components/TextLink';

const TropicalAgriSciencesScreen = (props) => {
	return (
		<ScrollView>
			<View>
				<Image
					style={styles.image}
					resizeMode="cover"
					source={require('../../assets/images/faculties/fta-cover.jpg')}
				/>
			</View>
			<View style={styles.textContainer}>
				<Paragraph>
					The faculty is a unique workplace in our country focused on
					agriculture issues, rural development and natural resource
					management in developing countries and tropical regions.
				</Paragraph>
				<View>
					<ListItem>
						More than 500 students are studying at the faculty, and
						about 30 employees work here.
					</ListItem>
					<ListItem>
						The faculty consists of 4 departments and 12 other
						workplaces.
					</ListItem>
					<ListItem>The dean: doc. Ing. Jan Banout, Ph.D.</ListItem>
				</View>
				<AccentParagraph backgroundColor="#eb5927">
					<Title style={styles.whiteText}>Contacts</Title>
					<View>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-earth"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://www.ftz.czu.cz/en"
							>
								ftz.czu.cz
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-logo-facebook"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://facebook.com/internationalrelationsofficeFTA"
							>
								facebook.com/internationalrelationsofficeFTA
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-logo-instagram"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://instagram.com/ftz.czu.cz"
							>
								instagram.com/ftz.czu.cz
							</TextLink>
						</ListItem>
					</View>
				</AccentParagraph>
				<Title>Study Administration Office</Title>
				<StrongText>
					Head of Study Administration Office, Coordinator of master‘s
					degree programmes taught in English
				</StrongText>
				<View>
					<ListItem pointerIcon="ios-person">
						Mgr. Ilona Marková
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 382 164"
						>
							+420 224 382 164
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:markovai@ftz.czu.cz"
						>
							markovai@ftz.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room Rectorate/113
					</ListItem>
				</View>
				<StrongText>
					Coordinator of bachelor‘s degree programmes taught in
					English
				</StrongText>
				<View>
					<ListItem pointerIcon="ios-person">
						Mgr. Simona Marková
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 382 164"
						>
							+420 224 382 164
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:markovas@ftz.czu.cz"
						>
							markovas@ftz.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room Rectorate/113
					</ListItem>
				</View>
				<StrongText>
					Coordinator of PhD programmes taught in English
				</StrongText>
				<View>
					<ListItem pointerIcon="ios-person">
						Mgr. Klímová Martina
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 382 021"
						>
							+420 224 382 021
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:PhDandResearch@ftz.czu.cz"
						>
							PhDandResearch@ftz.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room Rectorate/113
					</ListItem>
				</View>
				<Title>International Relations Office</Title>
				<StrongText>Head of International Relations Office</StrongText>
				<View style={{ marginBottom: 10 }}>
					<ListItem pointerIcon="ios-person">
						doc. Ing. Petra Chaloupková, Ph.D.
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 382 496"
						>
							+420 224 382 496
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:chaloupkova@ftz.czu.cz"
						>
							chaloupkova@ftz.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room FTZ/1.36
					</ListItem>
				</View>
				<StrongText>Coordinator of Erasmus+ Programme</StrongText>
				<View style={{ marginBottom: 10 }}>
					<ListItem pointerIcon="ios-person">
						Ing. Jana Hummelová
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 382 496"
						>
							+420 224 382 496
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:hummelova@ftz.czu.cz"
						>
							hummelova@ftz.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:internationaloffice@ftz.czu.cz"
						>
							internationaloffice@ftz.czu.cz
						</TextLink>
					</ListItem>

					<ListItem pointerIcon="ios-location">
						room FTZ/1.36
					</ListItem>
				</View>
				<StrongText>
					Coordinator of Erasmus+ Capacity Building Programme
				</StrongText>
				<View style={{ marginBottom: 10 }}>
					<ListItem pointerIcon="ios-person">
						Ing. Jana Mandíková, Ph.D.
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 382 496"
						>
							+420 224 382 496
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:mandikova@ftz.czu.cz"
						>
							mandikova@ftz.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room FTZ/1.36
					</ListItem>
				</View>
				<Paragraph>
					For the first time in its almost 60-year history, FTA is
					based in its own „green“ building. The Pavilion of Tropical
					AgriSciences offers the most modern spaces enabling
					interactive teaching methods such as „classroom response
					system“, laboratory equipment for student practice and
					facilities for scientific activities.
				</Paragraph>
			</View>
		</ScrollView>
	);
};

TropicalAgriSciencesScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Faculty of Tropical AgriSciences',
		headerStyle: {
			backgroundColor: '#eb5927',
		},
	};
};

const styles = StyleSheet.create({
	image: {
		width: '100%',
		height: 100,
	},
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
	whiteText: {
		color: 'white',
		marginBottom: 5,
	},
	accentLink: {
		color: 'white',
		fontFamily: 'open-sans',
	},
	normalLink: {
		color: 'black',
		fontFamily: 'open-sans',
	},
});

export default TropicalAgriSciencesScreen;
