import React from 'react';
import { View, StyleSheet, ScrollView, Image } from 'react-native';
import Paragraph from '../../components/Paragraph';
import LinkButton from '../../components/LinkButton';

const LeisureScreen = (props) => {
	return (
		<ScrollView>
			<View>
				<Image
					style={styles.image}
					resizeMode="cover"
					source={require('../../assets/images/content/leisure.jpg')}
				/>
			</View>
			<View style={styles.textContainer}>
				<Paragraph>
					The university‘s campus offers a variety of ways to spend
					leisure time. Libosad, an arboretum located behind the
					Faculty of Forestry and Wood Sciences, is a popular place to
					relax. Libosad has an area of over two hectares full of rich
					vegetation and a calming atmosphere. It is open from April
					to November on weekdays from 8 am to 3:30 pm.
				</Paragraph>
				<Paragraph>
					The campus also features several restaurants and bars, as
					well as multiple sports facilities that are available for
					students and staff.
				</Paragraph>
				<LinkButton
					title="Department of Physical Education"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'PhysicalEducation',
						});
					}}
				/>
				<LinkButton
					title="Student associations"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'StudentAssociations',
						});
					}}
				/>
			</View>
		</ScrollView>
	);
};

LeisureScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Leisure',
	};
};

const styles = StyleSheet.create({
	image: {
		width: '100%',
		height: 100,
	},
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default LeisureScreen;
