import React from 'react';
import { View, StyleSheet, ScrollView, Image } from 'react-native';
import Paragraph from '../../components/Paragraph';

const PhysicalEducationScreen = (props) => {
	return (
		<ScrollView>
			<View>
				<Image
					style={styles.image}
					resizeMode="cover"
					source={require('../../assets/images/content/physical-education.jpg')}
				/>
			</View>
			<View style={styles.textContainer}>
				<Paragraph>
					Sports at CZU are organized by the Department of Physical
					Education (DPE). The university is well-equipped for active
					students, offering an extensive range of indoor and outdoor
					sports facilities. The campus features an indoor pool, two
					gyms, indoor basketball courts, a weight room, a grass
					football field with athletic track, a football field with
					artificial grass, tennis courts and tennis hall, volleyball
					and beach volleyball courts.
				</Paragraph>
				<Paragraph>
					In addition to compulsory physical education, which all
					students of the first years of bachelor study have (except
					for students of specific programmes at FAFNR), all students
					can participate in sports according to their interests.
					During physical education lessons, students can voluntarily
					attend selected sports from the DPE (football, basketball,
					floorball, volleyball, swimming, canoeing, tennis, frisbee
					and others). However, it is possible to do sports in an
					unorganized and individual way using the CZU sports
					facilities.
				</Paragraph>
				<Paragraph>
					Sports courses organized by the DPE for all students without
					restrictions are also top-rated. You can participate in
					these courses throughout your studies. In winter, ski
					courses are taught in the Czech mountains and the Alpine ski
					resorts in France, Austria and Italy. In summer, there are
					many courses offered for the bold and adventurous. Some
					highlights include paddling lessons on the Vltava river and
					in Austria, hiking courses in the Czech and Slovak
					mountains, cycling courses in Austria, windsurfing and
					yachting courses; sports stay in Spain and Croatia.
				</Paragraph>
			</View>
		</ScrollView>
	);
};

PhysicalEducationScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Department of Physical Education',
	};
};

const styles = StyleSheet.create({
	image: {
		width: '100%',
		height: 100,
	},
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default PhysicalEducationScreen;
