import React from 'react';
import { View, StyleSheet, ScrollView } from 'react-native';
import Paragraph from '../../components/Paragraph';
import Title from '../../components/Title';

const InsuranceScreen = (props) => {
	return (
		<ScrollView>
			<View style={styles.textContainer}>
				<Title>Health insurance</Title>
				<Paragraph>
					Having a health insurance policy entitles you to free
					standard medical treatment, or reimbursement of payments for
					standard medical treatment you may receive from a general
					practitioner or another medical specialist, e.g. in a
					hospital. Prescribed medicines are usually also reimbursed
					by the insurance company, if not entirely, then at least
					partially. Medicines and treatment are generally less
					expensive than in other European countries.
				</Paragraph>
				<Paragraph>
					For students from the EU, Norway, Switzerland, Liechtenstein
					and Iceland, it is strongly recommended to register after
					you arrive in the Czech Republic at VZP (Všeobecná zdravotní
					pojišťovna České republiky - Czech General Health Insurance
					Company).
				</Paragraph>
				<Paragraph>
					Students from non-EU countries are required to have health
					insurance from an authorized insurance company either from
					their home country or from the Czech Republic.
				</Paragraph>
				<Paragraph>
					There are two types of medical insurance: Emergency medical
					care insurance, which is sufficient for your visa
					application and for the beginning of your stay. The
					insurance will cover all the necessary expenses for
					emergency medical care (typically including emergency dental
					treatment) in medical institutions in the whole Schengen
					territory. The second type of insurance is the Comprehensive
					Medical Care Insurance, and we strongly suggest purchasing
					this type of insurance when you extend your visa.
				</Paragraph>
			</View>
		</ScrollView>
	);
};

InsuranceScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Insurance',
	};
};

const styles = StyleSheet.create({
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default InsuranceScreen;
