import React from 'react';
import { View, StyleSheet, ScrollView } from 'react-native';
import Paragraph from '../../components/Paragraph';
import DefaultText from '../../components/DefaultText';
import AccentParagraph from '../../components/AccentParagraph';
import StrongText from '../../components/StrongText';
import ListItem from '../../components/ListItem';
import TextLink from '../../components/TextLink';

const InternetConnectionScreen = (props) => {
	return (
		<ScrollView>
			<View style={styles.textContainer}>
				<Paragraph>
					You can connect to the internet on the premises through the
					eduroam Wi-Fi. You must activate your account and create a
					password before you can connect. You can find the
					instructions on the website:{' '}
					<TextLink linkTo="https://www.oikt.czu.cz/en/r-16553-provided-services-tutorials-and-information/r-16618-connection-to-wi-fi-and-dormitory-network">
						eduroam.czu.cz.
					</TextLink>
				</Paragraph>
				<AccentParagraph>
					<Paragraph style={styles.whiteText}>
						IN ADDITION, THE UNIVERSITY OFFERS COMPUTER ROOMS THAT
						ARE AVAILABLE FOR USE AT THE FOLLOWING TIMES (UNLESS
						TEACHING IS UNDERWAY):
					</Paragraph>
					<View>
						<ListItem style={styles.whiteText} pointerColor="white">
							Faculty of Economics and Management – FEM
						</ListItem>
						<ListItem style={styles.whiteText} pointerColor="white">
							Faculty of Agrobiology, Food and Natural Resources –
							FAFNR
						</ListItem>
						<ListItem style={styles.whiteText} pointerColor="white">
							Faculty of Engineering – FE
						</ListItem>
						<ListItem style={styles.whiteText} pointerColor="white">
							Faculty of Forestry and Wood Sciences – FFWS
						</ListItem>
						<ListItem style={styles.whiteText} pointerColor="white">
							Faculty of Environmental Sciences – FES
						</ListItem>
						<ListItem style={styles.whiteText} pointerColor="white">
							Faculty of Tropical AgriSciences – FTA
						</ListItem>
						<ListItem style={styles.whiteText} pointerColor="white">
							Institute of Education and Communication – IEC
						</ListItem>
					</View>
				</AccentParagraph>
				<Paragraph>
					In case of technical issues, contact the CZU IT Helpdesk,
					which is located on the ground floor of the Rectorate
					building. You can reach them at{' '}
					<TextLink linkTo="mailto:helpdesk@czu.cz">
						helpdesk@czu.cz
					</TextLink>{' '}
					or call tel.:{' '}
					<TextLink linkTo="tel:224 384 444">224 384 444</TextLink>.
				</Paragraph>
				<Paragraph>
					It is recommended to visit the OIKT{' '}
					<TextLink linkTo="https://www.oikt.czu.cz/en">
						oikt.czu.cz
					</TextLink>{' '}
					website first, where you will find many instructions for the
					operated services (Office 365, Moodle, UIS, UEP, Teams,
					etc.). You may find the answer to your problem there.
				</Paragraph>
			</View>
		</ScrollView>
	);
};

InternetConnectionScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Internet connection',
	};
};

const styles = StyleSheet.create({
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
	whiteText: { color: 'white' },
});

export default InternetConnectionScreen;
