import React from 'react';
import { View, StyleSheet, ScrollView, Image, Text } from 'react-native';
import Paragraph from '../../components/Paragraph';
import DefaultText from '../../components/DefaultText';
import AccentParagraph from '../../components/AccentParagraph';
import TextLink from '../../components/TextLink';

const ParkingScreen = (props) => {
	return (
		<ScrollView>
			<View>
				<Image
					style={styles.image}
					resizeMode="cover"
					source={require('../../assets/images/content/parking.jpg')}
				/>
			</View>
			<View style={styles.textContainer}>
				<Paragraph>
					For those who may be driving to school, the campus offers
					hundreds of parking spaces. Entry to the premises requires
					the use of an ISIC card or the vehicle identification
					system. After logging in to{' '}
					<TextLink linkTo="https://is.czu.cz/">is.czu.cz</TextLink> -
					User settings - Data settings, enter the license plate
					number of your vehicle. However, the change will not be
					applied to the system until the next day. The gates will
					then automatically let you into the student parking zones.
					We recommend the large-capacity parking lot, P1, to the left
					of the main entrance.
				</Paragraph>

				<AccentParagraph>
					<DefaultText
						style={{ color: 'white', textAlign: 'center' }}
					>
						Change the license plate on the website:{'\n'}
						<TextLink linkTo="https://is.czu.cz/">
							is.czu.cz
						</TextLink>
						, or in the{' '}
						<TextLink linkTo="https://play.google.com/store/apps/details?id=cz.siteone.czuclient.app">
							My CZU
						</TextLink>{' '}
						mobile app
					</DefaultText>
				</AccentParagraph>
			</View>
		</ScrollView>
	);
};

ParkingScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Parking',
	};
};

const styles = StyleSheet.create({
	image: {
		width: '100%',
		height: 100,
	},
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default ParkingScreen;
