import React from 'react';
import { View, StyleSheet, ScrollView, Image } from 'react-native';
import LinkButton from '../../components/LinkButton';

const PracticalInformationScreen = (props) => {
	return (
		<ScrollView>
			<View>
				<Image
					style={styles.image}
					resizeMode="cover"
					source={require('../../assets/images/content/practical-information.jpg')}
				/>
			</View>
			<View style={styles.textContainer}>
				<LinkButton
					title="University premises"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'UniversityPremises',
						});
					}}
				/>
				<LinkButton
					title="Parking"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'Parking',
						});
					}}
				/>
				<LinkButton
					title=" Internet connection"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'InternetConnection',
						});
					}}
				/>
				<LinkButton
					title="University Electronic Wallet (UEP)"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'ElectronicWallet',
						});
					}}
				/>
				<LinkButton
					title="Student ID"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'StudentId',
						});
					}}
				/>
				<LinkButton
					title="Meals"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'Meals',
						});
					}}
				/>
				<LinkButton
					title="Housing"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'Housing',
						});
					}}
				/>
				<LinkButton
					title="Insurance"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'Insurance',
						});
					}}
				/>
			</View>
		</ScrollView>
	);
};

PracticalInformationScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Practical Information',
	};
};

const styles = StyleSheet.create({
	image: {
		width: '100%',
		height: 100,
	},
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default PracticalInformationScreen;
