import React from 'react';
import { View, StyleSheet, ScrollView, Image } from 'react-native';
import Paragraph from '../../components/Paragraph';
import StrongText from '../../components/StrongText';

const AcademicYearScreen = (props) => {
	return (
		<ScrollView>
			<View>
				<Image
					style={styles.image}
					resizeMode="cover"
					source={require('../../assets/images/content/academic-year.jpg')}
				/>
			</View>
			<View style={styles.textContainer}>
				<Paragraph>
					The academic year at universities starts in October and ends
					in September. It consists of two semesters (winter and
					summer). Each lasts three months, followed by an exam period
					of several weeks. The schedule of the academic year is
					specified for each year and is posted on the official notice
					board of the university.
				</Paragraph>
				<Paragraph>
					The CZU offers{' '}
					<StrongText>
						three degrees of study - bachelor, master and doctoral
					</StrongText>
					. Each is concluded with a final thesis and state exam. Here
					you can gradually obtain the academic degrees Bachelor
					(Bc.), Engineer (Ing.) or Doctor (Ph.D.). If you decide to
					stay and work at the university, you can proceed to other
					degrees, such as associate professor or professor.
				</Paragraph>
			</View>
		</ScrollView>
	);
};

AcademicYearScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Academic year',
	};
};

const styles = StyleSheet.create({
	image: {
		width: '100%',
		height: 100,
	},
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default AcademicYearScreen;
