import React from 'react';
import { View, StyleSheet, ScrollView, Image } from 'react-native';
import Paragraph from '../../components/Paragraph';
import TextLink from '../../components/TextLink';

const EshopScreen = (props) => {
	return (
		<ScrollView>
			<View>
				<Image
					style={styles.image}
					resizeMode="cover"
					source={require('../../assets/images/content/czu-eshop.jpg')}
				/>
			</View>
			<View style={styles.textContainer}>
				<Paragraph>
					The CZU Prague e-shop is available at
					<TextLink linkTo="https//eshop.czu.cz">
						{' '}
						eshop.czu.cz
					</TextLink>{' '}
					and has literature recommended for individual subjects
					taught at CZU. The textbooks are categorized according to
					individual faculties and departments, based on which
					catalogue can be browsed. You can also use a simple or
					advanced search. The CZU e-shop dispensing point is located
					at office No. 110 in the library building. Dispensing of
					orders is only possible on the basis of a previous
					electronic order, which can be picked up personally after
					receiving a confirmation email. The dispensing point is open
					from Monday to Friday at 9.00–12.00 and 13.00–15.00.
					Payments can be made in cash upon delivery or in advance by
					charging your account.
				</Paragraph>
			</View>
		</ScrollView>
	);
};

EshopScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'CZU E-shop',
	};
};

const styles = StyleSheet.create({
	image: {
		width: '100%',
		height: 100,
	},
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default EshopScreen;
