import React from 'react';
import { View, StyleSheet, ScrollView, Image } from 'react-native';
import Paragraph from '../../components/Paragraph';
import StrongText from '../../components/StrongText';

const TextbooksScreen = (props) => {
	return (
		<ScrollView>
			<View>
				<Image
					style={styles.image}
					resizeMode="cover"
					source={require('../../assets/images/content/academic-year.jpg')}
				/>
			</View>
			<View style={styles.textContainer}>
				<Paragraph>
					Students can purchase study literature, for example, at the
					<StrongText> FEM reprographic studio shop</StrongText> (FEM
					basement, see www.reprografickestudio.cz), on our
					<StrongText> e-shop</StrongText> or at the
					<StrongText> Powerprint shop</StrongText> (Brandejsovo
					nam.1219, 165 00, Praha – Suchdol). Further study literature
					can be obtained
					<StrongText> directly at the departments</StrongText> that
					provide teaching of individual subjects.
				</Paragraph>
			</View>
		</ScrollView>
	);
};

TextbooksScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Textbooks for sale',
	};
};

const styles = StyleSheet.create({
	image: {
		width: '100%',
		height: 100,
	},
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default TextbooksScreen;
